import request from '@/utils/request'
import constant from '@/constant'

function pageList(formData) {
  return request.post(constant.serverUrl + "/base/paymentInfo/pageList", formData);
}
function updateWechatPayOrAliPay(formModel) {
    return request.post(constant.serverUrl + "/base/paymentInfo/updateWechatPayOrAliPay", formModel);
}

function create() {
    return request.get(constant.serverUrl + "/base/paymentInfo/create");
  }
  
  function edit(id) {
    return request.get(constant.serverUrl + "/base/paymentInfo/edit/" + id);
  }
  
  function add(formModel) {
    return request.post(constant.serverUrl + "/base/paymentInfo/add", formModel, {
      headers: {
        "Content-Type": "application/json"
      }
    });
  }
  
  function update(formModel) {
    return request.post(constant.serverUrl + "/base/paymentInfo/update", formModel, {
      headers: {
        "Content-Type": "application/json"
      }
    });
  }
  
  function remove(id) {
    return request.post(constant.serverUrl + "/base/paymentInfo/delete/" + id);
  }
  
  function batchRemove(idList) {
    return request.post(constant.serverUrl + "/base/paymentInfo/batchDelete", idList, {
      headers: {
        "Content-Type": "application/json"
      }
    });
  }




export default {
    pageList,updateWechatPayOrAliPay,create, edit, add, update, remove, batchRemove,
}